# mongo-api
An NPM private package for Cognilab's mongoDB API

#### Requirements:
1. mongodb 2.2.10

#### Important:
You need to be connected to our VPN in order to be able to access the production database. Contact pascal@cognilab.com, or jose@cognilab.com for acess.

#### Basic usage
```javascript
var MongoClient = require('@cognilab/mongo-api');
var url = 'mongodb://localhost:27017/cognilab'
var mongo = new MongoClient(url)


      // Results methods
      mongo.getUserById(userId).then(function(user) {done()}).catch(done);
      mongo.getUserByAccountId(accountId).then((user) => { done() }).catch(done);
      mongo.getUserByEmail(email).then(function(user) { done() }).catch(done);


      // Account methods
      mongo.getAccountById(accountId).then(function(account) {done()}).catch(done);
      mongo.getAccountByOwnerId(accountId).then((account) => { done() }).catch(done);


      // Results methods
      mongo.getResultById(resultId).then(function(results) {done()}).catch(done);
      mongo.getResultsByVersionId(versionId).then(function(results) {


      // Experiment methods
      mongo.getExperimentById(experimentId).then(function(experiment) {done()}).catch(done);
      mongo.getExperimentsByUserId(userId).then(function(experiments) { done()}).catch(done);
      mongo.getExperimentsByTitle(title).then(function(experiments) { done()}).catch(done);
      mongo.getExperimentsByUserEmail(email).then(function(experiments) { done()}).catch(done);


      // Version methods
      mongo.getVersionById(versionId).then(function(experiment) {done()}).catch(done);
      mongo.getVersionsByUserId(userId).then(function(experiments) { done()}).catch(done);
      mongo.getVersionsByUserId(experimentId).then(function(experiments) { done()}).catch(done);
      mongo.getVersionsByUserEmail(email).then(function(experiments) {done()}).catch(done);
      mongo.getVersionsByTitle(title).then(function(experiments) { done()}).catch(done);

```
